package nc.ui.gl.extendreport;

import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.extendreport.ExReportModel;
import nc.ui.gl.extendreport.ExpListtoList;
import nc.ui.gl.extendreport.Step2Panel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.beans.UICheckBox;
import nc.ui.pub.beans.UILabel;
import nc.ui.pub.beans.UIPanel;
import nc.vo.gl.extendreport.ExtendreportBVO;
import nc.vo.gl.extendreport.ExtendreportItemVO;

public class Step3Panel extends UIPanel {

   private UICheckBox ivjUICheckBox1 = null;
   private UILabel ivjUILabel1 = null;
   private ExpListtoList ivjExpListtoList1 = null;
   public ExReportModel m_model = null;


   public Step3Panel() {
      this.initialize();
   }

   public Step3Panel(LayoutManager p0) {
      super(p0);
   }

   public Step3Panel(LayoutManager p0, boolean p1) {
      super(p0, p1);
   }

   public Step3Panel(boolean p0) {
      super(p0);
   }

   public void clearData() {
   }

   public ExtendreportBVO[] getBData() {
      return this.getExpListtoList1().getData();
   }

   public ExtendreportBVO[] getCol() {
      return null;
   }

   private ExpListtoList getExpListtoList1() {
      if(this.ivjExpListtoList1 == null) {
         try {
            this.ivjExpListtoList1 = new ExpListtoList();
            this.ivjExpListtoList1.setName("ExpListtoList1");
            this.ivjExpListtoList1.setBounds(57, 42, 707, 311);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjExpListtoList1;
   }

   private UICheckBox getUICheckBox1() {
      if(this.ivjUICheckBox1 == null) {
         try {
            this.ivjUICheckBox1 = new UICheckBox();
            this.ivjUICheckBox1.setName("UICheckBox1");
            this.ivjUICheckBox1.setText(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000037"));
            this.ivjUICheckBox1.setBounds(57, 362, 100, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUICheckBox1;
   }

   private UILabel getUILabel1() {
      if(this.ivjUILabel1 == null) {
         try {
            this.ivjUILabel1 = new UILabel();
            this.ivjUILabel1.setName("UILabel1");
            this.ivjUILabel1.setText(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000009"));
            this.ivjUILabel1.setBounds(59, 16, 113, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel1;
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("Step2Panel");
         this.setLayout((LayoutManager)null);
         this.setSize(822, 401);
         this.add(this.getUILabel1(), this.getUILabel1().getName());
         this.add(this.getUICheckBox1(), this.getUICheckBox1().getName());
         this.add(this.getExpListtoList1(), this.getExpListtoList1().getName());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   public void initList() {
      this.getExpListtoList1().setItem(this.m_model.getItem());
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         Step2Panel aStep2Panel = new Step2Panel();
         exception.setContentPane(aStep2Panel);
         exception.setSize(aStep2Panel.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.beans.UIPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void setBData(ExtendreportBVO[] bvos) {
   }

   public void setColData(ExtendreportItemVO[] items) {
   }
}
